Vla-get-olequality

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-olequality vla-object )


機能
OLE オブジェクトの印刷品質を取得する。


引数
  • vla-object … PreferencesOutput のVLAオブジェクト


戻り値
acOleQuality 列挙型
  • acOQLineArt
  • acOQText
  • acOQGraphics
  • acOQPhoto
  • acOQHighPhoto


  • このプロパティの初期値は acOQText 。
  • 注 : このプロパティの値は、システム変数 OLEQUALITY に格納する。


サンプル
(vl-load-com)
(defun c:Example_OLEQuality()
    ;; OLE オブジェクトの印刷品質を制御する優先順位の値を変更。
    ;; 完了したら、この例は、元の値に戻ってプリファレンス値をリセットする。
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; 値を保存
    (setq originalValue (vla-get-OLEQuality (vla-get-Output preferences)))
    
    ;; 元の値を表示
    (setq DisplayValue (cond
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQLineArt) "Line Art")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQText) "Text")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQGraphics) "Graphics")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQPhoto) "Photo")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQHighPhoto) "High Photo")
                       ))
    (alert (strcat "現在の OLEQuality の値は: " DisplayValue))

    ;; 高品質の写真に変更することによって OLEQuality 設定を変更する。

    (vla-put-OLEQuality (vla-get-Output preferences) acOQHighPhoto)
    (setq DisplayValue (cond
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQLineArt) "Line Art")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQText) "Text")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQGraphics) "Graphics")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQPhoto) "Photo")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQHighPhoto) "High Photo")
                       ))
    (alert (strcat "OLEQuality の値は : " DisplayValue))

    ;; 戻す
    (vla-put-OLEQuality (vla-get-Output preferences) originalValue)
    (setq DisplayValue (cond
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQLineArt) "Line Art")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQText) "Text")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQGraphics) "Graphics")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQPhoto) "Photo")
                           ((= (vla-get-OLEQuality (vla-get-Output preferences)) acOQHighPhoto) "High Photo")
                       ))
    (alert (strcat "OLEQuality の値をつぎに戻しました : " DisplayValue))
)

関連事項